﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace OffsetProb
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
      InitializeChart();

      DrawTrend();
    }

    public void InitializeChart()
    {
      ChartControl.Axes.Right.Visible = true;
      ChartControl.Axes.Right.Labels.Visible = false;
      ChartControl.Axes.Top.Visible = true;
      ChartControl.Axes.Top.Labels.Visible = false;

      //Set the basic chart properties
      ChartControl.Axes.Bottom.Labels.Visible = false;


      ChartControl.Axes.Bottom.Labels.Font.Brush.Color = Color.Transparent;
      ChartControl.Axes.Bottom.Ticks.Visible = false;
      ChartControl.Axes.Bottom.TicksInner.Visible = true;
      ChartControl.Axes.Bottom.MinorTicks.Visible = false;
      ChartControl.Axes.Bottom.Grid.Visible = false;

      ChartControl.Axes.Bottom.Automatic = true;

      ChartControl.Panel.MarginLeft = 0;
      ChartControl.Panel.MarginRight = 0;
      ChartControl.Panel.MarginTop = 0;
      ChartControl.Panel.MarginBottom = 0;

      ChartControl.Header.Visible = false;
      ChartControl.Aspect.View3D = false;
      ChartControl.Legend.Visible = false;

    }

    public void DrawTrend()
    {
      FastLine _FastLIne = new FastLine();
      _FastLIne.FillSampleValues(100);
      
      Axis _Axis = new Axis(ChartControl.Chart);
      ChartControl.Axes.Custom.Add(_Axis);
      _Axis.StartEndPositionUnits = PositionUnits.Percent;
      _Axis.StartPosition = 0;
      _Axis.EndPosition = 100;
      //_Axis.MaximumOffset = 25;
      //_Axis.MinimumOffset = 25;
      _FastLIne.CustomVertAxis = _Axis;
      ChartControl.Series.Add(_FastLIne);
      //ChartControl.Draw();
 
      ColorBand _ColorBand = new ColorBand(ChartControl.Chart);
      _ColorBand.Axis = _Axis;
      _ColorBand.Color = Color.Yellow;
      _ColorBand.Transparency = 75;
      _ColorBand.Brush.Color = Color.Yellow;
      _ColorBand.Start = _Axis.Minimum;
      _ColorBand.End = _Axis.Maximum;



      ChartControl.Tools.Add(_ColorBand);
    }
  }
}
